<div class="content">
    <h1>Brondata verzamelen {{_isPartner ? 'voor partner' : ''}}</h1>
    <h2>Haal van de onderstaande bronnen {{_isPartner ? 'ook voor de partner' : ''}} gegevens op met Digid.</h2>

    <section class="stepper-container">
        <app-stepper [currentStep]="_currentConfig" [stepStarted]='_queryActive' [failedSteps]="_failedConfigs">
            <app-stepper-step *ngFor="let config of _configs; let i = index" [code]="config.id">
                <div class="circle-content">{{i + 1}}</div>
                <div class="step-title light">Stap {{i+1}}</div>
                <div class="step-title bold">{{_info[config.id].title}}</div>
                <app-info-bubble class="step-info" [id]="i + 1">
                    <p>Bij {{_info[config.id].title}} verzamelen we:</p>
                    <ul>
                        <li *ngFor="let data of _info[config.id].data">{{data}}</li>
                    </ul>
                </app-info-bubble>
            </app-stepper-step>
        </app-stepper>

    </section>

    <section class="button-container">
        <div class="text-container">
            <p *ngIf="!_summary && !_progress && !_queryActive">
                {{"Druk op onderstaande knop om gegevens te verzamelen bij " + _info[_currentConfig].title + "." }}</p>
            <p *ngIf="!_summary && _progress && _progress < 100">
                {{_progress + "% klaar met het verzamelen van gegevens bij " + _info[_currentConfig].title + "." }}</p>
            <p *ngIf="!_summary && _progress === 100 && _currentConfig !== 'none'">
                Gelukt! Ga door met de volgende bron.
            </p>
            <p *ngIf="!!_summary">Je bent klaar met het verzamelen van brondata. Ga naar de volgende stap.</p>
        </div>
        <button class="primary" *ngIf="!_summary && _currentConfig !== 'none'" (click)="collectFromSource()"
            [disabled]="_queryActive">{{_currentConfig === _configs[0].id ? "Start gegevens verzamelen" : "Start volgende bron"}}</button>
        <button class="primary" *ngIf="!!_summary" (click)="conclude()">Naar
            volgende stap</button>
    </section>
</div>